跳转到内容

Kotoba Speech-to-Text

集成

模型 id kotoba-technologies/kotoba-stt/v1/speech-to-text
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-stt/v1/speech-to-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "language": "ja"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.001 1 API 积分 · ≈ ₽0.11 运行前会测量你的文件 在此页面运行

获取 API 密钥
Kotoba Technologies 语音转文本 #commercial-use#speech-to-text#japanese#multilingual

最长 2 分钟片段的语音转文本,针对日语优化,支持词级时间戳和关键词提示

Kotoba Technologies · 文本

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 audio_url
拖放文件,或

音频时长上限为 2 分钟。

language •必填

音频中说话者使用的语言。

高级 with_timestamps · diarization · kana · keywords

转录时应优先采用拼写形式的术语,包括名称或产品术语。最多接受 1000 个术语,每个术语最多 64 个字符。

POST /run/kotoba-technologies/kotoba-stt/v1/speech-to-text?wait=20 报价 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-stt/v1/speech-to-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "language": "ja"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Kotoba Speech-to-Text

从 `audio_url` 转写最长 2 分钟的音频片段。将 `language` 设置为 ja、en、ko、zh、es、zh-hk、zh-tw 或 auto。可选的 `with_timestamps` 返回每个词的起止时间,`diarization` 标记说话人,`keywords` 接受最多 1000 个术语以偏置拼写,`kana` 在日语中使用片假名书写姓名。输出包括文本、检测到的语言和音频时长。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
audio_url必填 audio
类型url · audio
音频时长上限为 2 分钟。
language必填
类型enum
jaenkozheszh-hkzh-twauto
音频中说话者使用的语言。
with_timestamps可选
类型boolean
默认值false
`words` 中按词输出的时间信息,包括每个词的开始和结束时间。
diarization可选
类型boolean
默认值false
词级说话者归属,仅适用于支持说话者 Token 的模型。每个词都会获得一个 `speaker_id`,但除非同时启用 `with_timestamps`,否则其时间仍为 null。
keywords可选
类型string[]
≤ 1,000 个项目
转录时应优先采用拼写形式的术语,包括名称或产品术语。最多接受 1000 个术语,每个术语最多 64 个字符。
kana可选
类型boolean
默认值false
日语中人名和地名的片假名写法。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-stt/v1/speech-to-text",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "language": "ja"
  },
  "output": {
    "audio_duration_secs": 1.0,
    "language_code": "string",
    "language_probability": 1.0,
    "text": "string",
    "words": [
      {
        "end": 1.0,
        "speaker_id": "string",
        "start": 1.0,
        "text": "string",
        "type": "word"
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio_duration_secs
number | null
language_code
string
language_probability
number
text
string
words
array of object {end, speaker_id, start, text, type}

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/kotoba-technologies/kotoba-stt/v1/speech-to-text.md. 所有模型和指南: https://doitong.com/developers/llms.txt